import {Component} from '@angular/core';
import {HomeComponent} from "./home/home.component";
import {MenubarModule} from 'primeng/menubar';
import {MenuItem} from 'primeng/api';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [HomeComponent, MenubarModule],
  templateUrl: './app.component.html',
  styleUrl: './app.component.css'
})
export class AppComponent {
  items: MenuItem[] | undefined

  constructor() {
    this.items = [
      {
        label: 'Accueil',
        icon: 'pi pi-home',
        routerLink: '/'
      },
      {
        label: 'Se connecter',
        icon: 'pi pi-sign-in',
        routerLink : '/login'
      }
    ]
  }
}
